$DevEnvironment = @{
    AllNodes = 
    @(
        @{
            NodeName = "Localhost"
            RegFileFolder = "C:\DSCConfigs\Files\"
        }
    )
}

Configuration RemoteControls
{
    param()

    Import-DscResource -ModuleName "cRegFile"

    Node $AllNodes.NodeName
    {
        cRegFile SupportedRemoteControls
        {
            key = "HKLM:\SYSTEM\CurrentControlSet\Services\HidIr\Remotes"
            RegFilePath = $($Node.RegFileFolder) + "RemotesKey.reg"
        }
    }
}
RemoteControls -ConfigurationData $DevEnvironment -OutputPath "C:\DSCConfigs\RemoteControls\"
